Bug 477489 - Cannot change icon through File Associations
Cannot change icon through File Associations
Product: Fedora
Classification: Fedora
Component: kdebase-workspace (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-12-20 19:50 EST by Jonathan Wakely
Modified: 2009-01-10 13:43 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-10 13:43:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 158895 None None None Never

  None (edit)
Description Jonathan Wakely 2008-12-20 19:50:22 EST
Description of problem:

Cannot change icons associated with mime types.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:

1. Open System Settings -> Advanced -> File Associations
2. Select any mime type
3. Click the icon to change it
Actual results:

Nothing happens

Expected results:

dialog opens to select an icon

Additional info:

The documentation at help:/kcontrol/filetypes/index.html#file-assoc-use says it should work, and it used to before KDE4
Comment 1 Rex Dieter 2008-12-21 16:33:54 EST
I think the docs are either out of date (kcontrol is for kde3, systemsettings for kde4) or just wrong.

(I don't think this is something we can address specifically in fedora, as it's an upstream issue)

Anyone... feel free to chime in to correct any of my possible misinformation.
Comment 2 Steven M. Parrish 2009-01-10 10:33:50 EST
Thank you for the bug report.  This issue needs to be addressed by the upstream developers.  Please submit a report at http://bugs.kde.org. You are requested to add the bugzilla link here for tracking purposes. Please make sure the bug isn't already in the upstream bug tracker before filing it.
Comment 3 Jonathan Wakely 2009-01-10 11:23:27 EST
found it: https://bugs.kde.org/show_bug.cgi?id=158895
Comment 4 Kevin Kofler 2009-01-10 13:43:04 EST
Thank you for tracking down the upstream bug report. We will continue tracking this upstream.

Note You need to log in before you can comment on or make changes to this bug.